org.apache.lucene.index

## Class BaseCompressingDocValuesFormatTestCase

- java.lang.Object
- - org.junit.Assert
  - - org.apache.lucene.util.LuceneTestCase
    - - org.apache.lucene.index.BaseDocValuesFormatTestCase
      - - org.apache.lucene.index.BaseCompressingDocValuesFormatTestCase

-     public abstract class BaseCompressingDocValuesFormatTestCase
      extends BaseDocValuesFormatTestCase

  Extends `BaseDocValuesFormatTestCase` to add compression checks.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase

      `LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Monster, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.SuppressFileSystems, LuceneTestCase.SuppressFsync, LuceneTestCase.SuppressReproduceLine, LuceneTestCase.SuppressSysoutChecks, LuceneTestCase.SuppressTempFileChecks, LuceneTestCase.ThrowingRunnable, LuceneTestCase.Weekly`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.LuceneTestCase

      `assertsAreEnabled, classRules, DEFAULT_LINE_DOCS_FILE, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, LEAVE_TEMPORARY, MAYBE_CACHE_POLICY, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_MONSTER, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEST_ASSERTS_ENABLED, TEST_AWAITSFIX, TEST_BADAPPLES, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_MONSTER, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_WEEKLY, VERBOSE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseCompressingDocValuesFormatTestCase()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected <D extends Directory> D` | `applyCreatedVersionMajor(D d)` Set the created version of the given `Directory` and return it.
    `protected Collection<String>` | `excludedExtensionsFromByteCounts()` Return the list of extensions that should be excluded from byte counts when comparing indices that store the same content.
    `protected abstract Codec` | `getCodec()` Returns the codec to run tests against
    `protected int` | `getCreatedVersionMajor()` Returns the major version that this codec is compatible with.
    `protected DirectoryReader` | `maybeWrapWithMergingReader(DirectoryReader r)`
    `protected boolean` | `mergeIsStable()`
    `void` | `setUp()` For subclasses to override.
    `protected boolean` | `shouldTestMergeInstance()` Returns `false` if only the regular fields reader should be tested, and `true` if only the merge instance should be tested.
    `void` | `tearDown()` For subclasses to override.
    `void` | `testDateCompression()`
    `void` | `testMergeStability()` The purpose of this test is to make sure that bulk merge doesn't accumulate useless data over runs.
    `void` | `testMultiClose()` Calls close multiple times on closeable codec apis
    `void` | `testRamBytesUsed()` Test the accuracy of the ramBytesUsed estimations.
    `void` | `testRandomExceptions()` Tests exception handling on write and openInput/createOutput
    `void` | `testSingleBigValueCompression()`
    `void` | `testUniqueValuesCompression()`

    - ### Methods inherited from class org.apache.lucene.index.BaseDocValuesFormatTestCase

      `addRandomFields, assertDVIterate, codecAcceptsHugeBinaryValues, doTestBinaryVariableLengthVsStoredFields, doTestSortedSetEnumAdvanceIndependently, doTestSortedSetVsStoredFields, doTestSortedVsStoredFields, doTestSortedVsStoredFields, testBigNumericRange, testBigNumericRange2, testBinaryFixedLengthVsStoredFields, testBinaryMergeAwayAllValuesLargeSegment, testBinaryVariableLengthVsStoredFields, testBooleanNumericsVsStoredFields, testByteNumericsVsStoredFields, testBytes, testBytesMergeAwayAllValues, testBytesTwoDocumentsMerged, testBytesWithNewline, testCodecUsesOwnBytes, testCodecUsesOwnSortedBytes, testDocValuesSimple, testEmptyBinaryValueOnPageSizes, testEmptyBytes, testEmptySortedBytes, testGCDCompression, testIntNumericsVsStoredFields, testLongNumericsVsStoredFields, testMissingSortedBytes, testNumberMergeAwayAllValues, testNumericMergeAwayAllValuesLargeSegment, testOneFloat, testOneNumber, testOneSortedNumber, testOneSortedNumberOneMissing, testRandomAdvanceBinary, testRandomAdvanceNumeric, testRandomSortedBytes, testShortNumericsVsStoredFields, testSortedBytes, testSortedBytesThreeDocuments, testSortedBytesTwoDocuments, testSortedBytesTwoDocumentsMerged, testSortedEnumAdvanceIndependently, testSortedFixedLengthVsStoredFields, testSortedMergeAwayAllValues, testSortedMergeAwayAllValuesLargeSegment, testSortedNumberMerge, testSortedNumberMergeAwayAllValues, testSortedNumericMergeAwayAllValuesLargeSegment, testSortedNumericsFewUniqueSetsVsStoredFields, testSortedNumericsMultipleValuesVsStoredFields, testSortedNumericsSingleValuedMissingVsStoredFields, testSortedNumericsSingleValuedVsStoredFields, testSortedSetEnumAdvanceIndependently, testSortedSetFixedLengthFewUniqueSetsVsStoredFields, testSortedSetFixedLengthManyValuesPerDocVsStoredFields, testSortedSetFixedLengthSingleValuedVsStoredFields, testSortedSetFixedLengthVsStoredFields, testSortedSetMergeAwayAllValues, testSortedSetMergeAwayAllValuesLargeSegment, testSortedSetOneValue, testSortedSetTermsEnum, testSortedSetThreeValuesTwoDocs, testSortedSetTwoDocumentsFirstMissing, testSortedSetTwoDocumentsFirstMissingMerge, testSortedSetTwoDocumentsLastMissing, testSortedSetTwoDocumentsLastMissingMerge, testSortedSetTwoDocumentsMerged, testSortedSetTwoFields, testSortedSetTwoValues, testSortedSetTwoValuesUnordered, testSortedSetVariableLengthFewUniqueSetsVsStoredFields, testSortedSetVariableLengthManyValuesPerDocVsStoredFields, testSortedSetVariableLengthSingleValuedVsStoredFields, testSortedSetVariableLengthVsStoredFields, testSortedTermsEnum, testSortedVariableLengthVsStoredFields, testSparseBinaryFixedLengthVsStoredFields, testSparseBinaryVariableLengthVsStoredFields, testSparseBooleanNumericsVsStoredFields, testSparseByteNumericsVsStoredFields, testSparseGCDCompression, testSparseIntNumericsVsStoredFields, testSparseLongNumericsVsStoredFields, testSparseShortNumericsVsStoredFields, testSparseSortedFixedLengthVsStoredFields, testSparseSortedVariableLengthVsStoredFields, testSparseZeros, testThreads, testThreads2, testThreads3, testThreeBytesOneMissingWithMerging, testThreeFieldsMixed, testThreeFieldsMixed2, testThreeNumbersOneMissingWithMerging, testTwoBinaryValues, testTwoBytesOneMissing, testTwoBytesOneMissingWithMerging, testTwoDocumentsMerged, testTwoDocumentsNumeric, testTwoFieldsMixed, testTwoNumbers, testTwoNumbersOneMissing, testTwoNumbersOneMissingWithMerging, testTwoSortedNumber, testTwoSortedNumberOneMissing, testTwoSortedNumberSameValue, testVeryLargeButLegalBytes, testVeryLargeButLegalSortedBytes, testZeroOrMin, testZeros`

    - ### Methods inherited from class org.apache.lucene.util.LuceneTestCase

      `addVirusChecker, assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertNormsEquals, assertPointsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, assumeWorkingMMapOnWindows, atLeast, atLeast, closeAfterSuite, closeAfterTest, collate, createTempDir, createTempDir, createTempFile, createTempFile, dumpArray, dumpIterator, expectThrows, expectThrows, expectThrows, expectThrowsAnyOf, expectThrowsAnyOf, getBaseTempDirForTestClass, getDataInputStream, getDataPath, getOnlyLeafReader, getTestClass, getTestName, hasWorkingMMapOnWindows, isTestThread, localeForLanguageTag, maybeChangeLiveIndexWriterConfig, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newDirectory, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMaybeVirusCheckingDirectory, newMaybeVirusCheckingFSDirectory, newMergePolicy, newMergePolicy, newMergePolicy, newMockDirectory, newMockDirectory, newMockDirectory, newMockFSDirectory, newMockFSDirectory, newSearcher, newSearcher, newSearcher, newStringField, newStringField, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, overrideDefaultQueryCache, overrideTestDefaultQueryCache, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, resetDefaultQueryCache, restoreCPUCoreCount, restoreIndexWriterMaxDocs, restoreSpins, runWithRestrictedPermissions, setIndexWriterMaxDocs, setupCPUCoreCount, setupSpins, slowFileExists, usually, usually, wrapReader`

    - ### Methods inherited from class org.junit.Assert

      `assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseCompressingDocValuesFormatTestCase

          public BaseCompressingDocValuesFormatTestCase()

  - ### Method Detail

    - #### testUniqueValuesCompression

          public void testUniqueValuesCompression()
                                           throws IOException

      Throws:
        `IOException`

    - #### testDateCompression

          public void testDateCompression()
                                   throws IOException

      Throws:
        `IOException`

    - #### testSingleBigValueCompression

          public void testSingleBigValueCompression()
                                             throws IOException

      Throws:
        `IOException`

    - #### getCodec

          protected abstract Codec getCodec()

      Returns the codec to run tests against

    - #### getCreatedVersionMajor

          protected int getCreatedVersionMajor()

      Returns the major version that this codec is compatible with.

    - #### applyCreatedVersionMajor

          protected final <D extends Directory> D applyCreatedVersionMajor(D d)
                                                                    throws IOException

      Set the created version of the given `Directory` and return it.
      Throws:
        `IOException`

    - #### setUp

          public void setUp()
                     throws Exception

      Description copied from class: `LuceneTestCase`
      For subclasses to override. Overrides must call `super.setUp()`.
      Overrides:
        `setUp` in class `LuceneTestCase`
      Throws:
        `Exception`

    - #### tearDown

          public void tearDown()
                        throws Exception

      Description copied from class: `LuceneTestCase`
      For subclasses to override. Overrides must call `super.tearDown()`.
      Overrides:
        `tearDown` in class `LuceneTestCase`
      Throws:
        `Exception`

    - #### excludedExtensionsFromByteCounts

          protected Collection<String> excludedExtensionsFromByteCounts()

      Return the list of extensions that should be excluded from byte counts when comparing indices that store the same content.

    - #### testMergeStability

          public void testMergeStability()
                                  throws Exception

      The purpose of this test is to make sure that bulk merge doesn't accumulate useless data over runs.
      Throws:
        `Exception`

    - #### mergeIsStable

          protected boolean mergeIsStable()

    - #### testRamBytesUsed

          @LuceneTestCase.Slow
          public void testRamBytesUsed()
                                                     throws IOException

      Test the accuracy of the ramBytesUsed estimations.
      Throws:
        `IOException`

    - #### testMultiClose

          public void testMultiClose()
                              throws IOException

      Calls close multiple times on closeable codec apis
      Throws:
        `IOException`

    - #### testRandomExceptions

          public void testRandomExceptions()
                                    throws Exception

      Tests exception handling on write and openInput/createOutput
      Throws:
        `Exception`

    - #### shouldTestMergeInstance

          protected boolean shouldTestMergeInstance()

      Returns `false` if only the regular fields reader should be tested, and `true` if only the merge instance should be tested.

    - #### maybeWrapWithMergingReader

          protected final DirectoryReader maybeWrapWithMergingReader(DirectoryReader r)
                                                              throws IOException

      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.